﻿using System.Collections.Generic;
using System.Windows.Forms;
using System.ComponentModel;
using System.Drawing;

namespace Control_Sandbox.Ui.Controls
{
    public class Status : Control
    {

        public Status() { items = new List<StatusItem>(); }

        private List<StatusItem> items;

        [DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
        public List<StatusItem> Items
        { 
            get { return items; }
            set
            {
                items = value;
                // some more code here
            }
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint( e );
            e.Graphics.DrawRectangle( new System.Drawing.Pen( new SolidBrush( Color.Black ) ), 0, 0, Width - 1, Height - 1 );
        }

    }

}
